Debian Bug report logs - #562114
Customized chroot must be restored for numerous binary helpers to work

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Cody A.W. Somerville" <cody.somerville@canonical.com>

Date: Tue, 22 Dec 2009 20:51:01 UTC

Severity: normal

Found in version live-helper/1.0.6-2

Fixed in version 2.0~a4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562114; Package live-helper. (Tue, 22 Dec 2009 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Cody A.W. Somerville" <cody.somerville@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 22 Dec 2009 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Cody A.W. Somerville" <cody.somerville@canonical.com>
To: submit@bugs.debian.org
Subject: Customized chroot must be restored for numerous binary helpers to work
Date: Tue, 22 Dec 2009 15:48:58 -0500
[Message part 1 (text/plain, inline)]
Package: live-helper
Version: 1.0.6-2

After lh_binary_rootfs runs, chroot/ must be a copy of the customized chroot
and not the cached bootstrap chroot in order for numerous binary helpers to
run successfully including the very next helper lh_binary_linux-image (it'll
fail as chroot/boot/ will not contain the kernel(s)). Currently, this does
not occur if the caching of the chroot is disabled or if the
LH_CHROOT_FILESYSTEM is set to 'plain'.

Cheers,

-- 
Cody A.W. Somerville
Software Systems Release Engineer
Foundations Team
Custom Engineering Solutions Group
Canonical OEM Services
Phone: +1-781-850-2087
Cell: +1-613-401-5141
Email: cody.somerville@canonical.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#562114; Package live-helper. (Tue, 22 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 22 Dec 2009 21:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 562114@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Cody A.W. Somerville" <cody.somerville@canonical.com>
Cc: 562114@bugs.debian.org
Subject: Re: Bug#562114: Customized chroot must be restored for numerous binary helpers to work
Date: Tue, 22 Dec 2009 22:21:54 +0100
tag 562114 pending
thanks

Cody A.W. Somerville wrote:
> After lh_binary_rootfs runs, chroot/ must be a copy of the customized 
> chroot and not the cached bootstrap chroot in order for numerous binary 
> helpers to run successfully

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 22 Dec 2009 21:24:09 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Sat, 23 Jan 2010 09:12:07 GMT) Full text and rfc822 format available.

Notification sent to "Cody A.W. Somerville" <cody.somerville@canonical.com>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 09:12:07 GMT) Full text and rfc822 format available.

Message #17 received at 562114-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 562114-done@bugs.debian.org
Subject: Re: Customized chroot must be restored for numerous binary helpers to work
Date: Sat, 23 Jan 2010 10:01:40 +0100
Version: 2.0~a4-1

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Feb 2010 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:03:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.